services:

  app:

    image: speckij/libretuya-esphome-amd64:latest
    restart: always
    volumes:
      - "{{ basedir }}/config/:/config"
    environment:
      ESPHOME_DASHBOARD_USE_PING: "true"
    labels:
      - traefik.enable=true
      - traefik.http.routers.{{ servicename }}.rule=Host(`{{ domain }}`)
      - traefik.http.routers.{{ servicename }}.entrypoints=websecure
      - traefik.http.services.{{ servicename }}.loadbalancer.server.port=6052
    networks:
      - default
      - web

networks:
  web:
    external: true
